package cn.liujson.appupdatedemo.bean;


/**
 * @author liujson
 */
public class ApkUpdateInfoResult {
    /**
     * {
     * 	"code": 0,
     * 	"message": "请求成功",
     * 	"data": {
     * 		"name": "门口屏2.0",
     * 		"versionName": "1.0.21",
     * 		"version": 21,
     * 		"package": "cn.liujson.appupdatedemo",
     * 		"notes": "1，添加删除信用卡接口\\r\\n2，添加vip认证\\r\\n3，区分自定义消费，一个小时不限制。\\r\\n4，添加放弃任务接口，小时内不生成。\\r\\n5，消费任务手动生成。",
     * 		"sourceUrl": "https:\/\/download.jappstore.com\/apps\/5e12d24eb2eb4669082e0251\/install?download_token=7740d2ea15bdc3815cbc2a8a4918ddcb\\u0026source=update"
     *        }
     * }
     */

    private int code;
    private String message;
    private ApkUpdateInfoDetailResult data;

    public void setCode(int code) {
        this.code = code;
    }

    public int getCode() {
        return code;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getMessage() {
        return message;
    }

    public void setData(ApkUpdateInfoDetailResult data) {
        this.data = data;
    }

    public ApkUpdateInfoDetailResult getData() {
        return data;
    }


    @Override
    public String toString() {
        return "ApkUpdateInfoResult{" +
                "code=" + code +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}